# My dotfiles

This is a collection of some of my dotfiles for my Artix Linux system.

![Screenshot](./.img/screenshot.png)

You can install these dotfiles by cloning this repository and executing `install.sh`.

```bash
$ git clone https://github.com/theanonymousexyz/dotfiles.git
$ cd dotfiles
$ chmod +x install.sh
$ ./install.sh
```

This configuration depends on the following software packages:

- `alacritty`
- `doas`\*
- `git`
- `grimshot`
- `mako`
- `neovim`
- `pavucontrol`
- `pipewire`
- `playerctl`
- `protonvpn-cli-ng`
- `python`
- `stow`
- `sway`
- `swaylock-effects`
- `sway-launcher-desktop`
- `waybar`
- `wireplumber`

\* If you prefer `sudo`, then change all instances of `doas` to `sudo`. They're mainly in the sway config file and in my `autostart.sh` script.

Also, you need to make a `doas`/`sudo` rule that allows you to execute `protonvpn`, `poweroff` and `reboot` without a password, otherwise the keybindings for those won't work.

